'use strict';

exports.__esModule = true;

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _weakMap = require('babel-runtime/core-js/weak-map');

var _weakMap2 = _interopRequireDefault(_weakMap);

var _lodash = require('lodash');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var privateModel = new _weakMap2.default();

var FormModelPublic = function () {
  function FormModelPublic(model) {
    var _this = this;

    (0, _classCallCheck3.default)(this, FormModelPublic);

    this.refresh = function () {
      return _this.__refresh__REACT_HOT_LOADER__.apply(_this, arguments);
    };

    this.reload = function () {
      return _this.__reload__REACT_HOT_LOADER__.apply(_this, arguments);
    };

    this.reset = function () {
      return _this.__reset__REACT_HOT_LOADER__.apply(_this, arguments);
    };

    this.init = function () {
      return _this.__init__REACT_HOT_LOADER__.apply(_this, arguments);
    };

    this.makeDirty = function () {
      return _this.__makeDirty__REACT_HOT_LOADER__.apply(_this, arguments);
    };

    this.makeSubmitted = function () {
      return _this.__makeSubmitted__REACT_HOT_LOADER__.apply(_this, arguments);
    };

    this.data = function () {
      return _this.__data__REACT_HOT_LOADER__.apply(_this, arguments);
    };

    this.values = function () {
      return _this.__values__REACT_HOT_LOADER__.apply(_this, arguments);
    };

    this.isValid = function () {
      return _this.__isValid__REACT_HOT_LOADER__.apply(_this, arguments);
    };

    this.isTouched = function () {
      return _this.__isTouched__REACT_HOT_LOADER__.apply(_this, arguments);
    };

    this.errors = function () {
      return _this.__errors__REACT_HOT_LOADER__.apply(_this, arguments);
    };

    this.forms = function () {
      return _this.__forms__REACT_HOT_LOADER__.apply(_this, arguments);
    };

    this.fields = function () {
      return _this.__fields__REACT_HOT_LOADER__.apply(_this, arguments);
    };

    privateModel.set(this, model);
    this.id = (0, _lodash.cloneDeep)(model.id);
    this.name = (0, _lodash.cloneDeep)(model.name);
  }

  FormModelPublic.prototype.__refresh__REACT_HOT_LOADER__ = function __refresh__REACT_HOT_LOADER__() {
    var model = privateModel.get(this);
    return model.refresh();
  };

  FormModelPublic.prototype.__reload__REACT_HOT_LOADER__ = function __reload__REACT_HOT_LOADER__() {
    var model = privateModel.get(this);
    return model.reload();
  };

  FormModelPublic.prototype.__reset__REACT_HOT_LOADER__ = function __reset__REACT_HOT_LOADER__() {
    var model = privateModel.get(this);
    return model.reset();
  };

  FormModelPublic.prototype.__init__REACT_HOT_LOADER__ = function __init__REACT_HOT_LOADER__() {
    var data = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
    var makeDirty = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;

    var model = privateModel.get(this);
    return model.init(data, makeDirty);
  };

  FormModelPublic.prototype.__makeDirty__REACT_HOT_LOADER__ = function __makeDirty__REACT_HOT_LOADER__() {
    var model = privateModel.get(this);
    return model.makeDirty();
  };

  FormModelPublic.prototype.__makeSubmitted__REACT_HOT_LOADER__ = function __makeSubmitted__REACT_HOT_LOADER__() {
    var model = privateModel.get(this);
    return model.makeSubmitted();
  };

  FormModelPublic.prototype.__data__REACT_HOT_LOADER__ = function __data__REACT_HOT_LOADER__() {
    var model = privateModel.get(this);
    return model.data();
  };

  FormModelPublic.prototype.__values__REACT_HOT_LOADER__ = function __values__REACT_HOT_LOADER__() {
    var model = privateModel.get(this);
    return model.values();
  };

  FormModelPublic.prototype.__isValid__REACT_HOT_LOADER__ = function __isValid__REACT_HOT_LOADER__() {
    var model = privateModel.get(this);
    return model.isValid();
  };

  FormModelPublic.prototype.__isTouched__REACT_HOT_LOADER__ = function __isTouched__REACT_HOT_LOADER__() {
    var model = privateModel.get(this);
    return model.isTouched();
  };

  FormModelPublic.prototype.__errors__REACT_HOT_LOADER__ = function __errors__REACT_HOT_LOADER__() {
    var model = privateModel.get(this);
    return (0, _lodash.cloneDeep)(model.getErrors());
  };

  FormModelPublic.prototype.__forms__REACT_HOT_LOADER__ = function __forms__REACT_HOT_LOADER__() {
    var model = privateModel.get(this);
    return model.forms.getPublic();
  };

  FormModelPublic.prototype.__fields__REACT_HOT_LOADER__ = function __fields__REACT_HOT_LOADER__() {
    var model = privateModel.get(this);
    return model.fields.getPublic();
  };

  return FormModelPublic;
}();

var _default = FormModelPublic;
exports.default = _default;
;

var _temp = function () {
  if (typeof __REACT_HOT_LOADER__ === 'undefined') {
    return;
  }

  __REACT_HOT_LOADER__.register(privateModel, 'privateModel', '/Users/flamps/Documents/React/github/Flamps/vb-react-form/src/FormsV1/Form/public/FormModelPublic.js');

  __REACT_HOT_LOADER__.register(FormModelPublic, 'FormModelPublic', '/Users/flamps/Documents/React/github/Flamps/vb-react-form/src/FormsV1/Form/public/FormModelPublic.js');

  __REACT_HOT_LOADER__.register(_default, 'default', '/Users/flamps/Documents/React/github/Flamps/vb-react-form/src/FormsV1/Form/public/FormModelPublic.js');
}();

;